Get passkey account
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/passkeys/account/{passkey_account_address} \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/grid/v1/passkeys/account/{passkey_account_address}"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/grid/v1/passkeys/account/{passkey_account_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pubkey": "<string>",
"relyingPartyId": "<string>",
"sessionKey": {
"expiration": 1,
"key": "11111111111111111111111111111111"
}
}passkeys
Get passkey account
Retrieve passkey account details by address. Returns the relying party ID, public key, and optional session key if not expired.
GET
/
api
/
grid
/
v1
/
passkeys
/
account
/
{passkey_account_address}
Get passkey account
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Passkey account address (Solana public key)
Response
Passkey account retrieved successfully
Was this page helpful?
⌘I